Backend API
cURL
curl --request POST \ --url https://api.wacht.dev/webhooks/event-catalogs/{slug}/append-events \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "events": [ { "name": "user.created", "description": "User account created", "schema": {} } ] } '
{ "deployment_id": "9876543210987654321", "slug": "user-events", "name": "User Events", "description": "<string>", "events": [ { "name": "user.created", "description": "<string>", "schema": {}, "is_archived": false } ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Add new events to an existing catalog
API key authentication (format: Bearer {api_key})
Catalog slug
Show child attributes
Events appended
Deployment ID
"9876543210987654321"
"user-events"
Display name
"User Events"
Description
Event definitions
Was this page helpful?